device_type: cy8ckit-064s0s2-4343w
job_name: CY8CKIT-064S0S2-4343W Health Check
timeouts:
  job:
    minutes: 30
  action:
    minutes: 10
  connection:
    minutes: 5
priority: low
visibility: public
actions:
- deploy:
    timeout:
      minutes: 5
    to: flasher
    images:
      spe:
        url: https://images.validation.linaro.org/people.linaro.org/~arthur.she/images/tf/cypress/health-check/tfm_s_signed.hex
      nspe:
        url: https://images.validation.linaro.org/people.linaro.org/~arthur.she/images/tf/cypress/health-check/tfm_ns_signed.hex
- boot:
    timeout:
      minutes: 2
    method: minimal
- test:
    monitors:
        - name: "Cypress_PSoC64_Health_Check"
          start: "Non-Secure"
          end: "starting\\.{3}"
          pattern: "Non-Secure system starting\\.{3}"
          fixupdict:
              '!': pass
              '': fail
